ZARAFA-FSCK(1)

NAME
zarafa-fsck - Start the Zarafa fsck calendar check program.

SYNOPSIS

zarafa-fsck [OPTION...] [FILTER...]

DESCRIPTION

The program finds all items in the default calendar folder of the given user, and checks if all items are compatible with Microsoft Outlook. It specifically tests for known issues with reminders and recurrcences.

OPTIONS

Various options are possible. Only the --user options is required.

--user, -u username
    The name of the user to login with, and to check the calender of.

--pass, -p password
    The password of the user to login with. If this is not passed, you will be prompted for the password, and it will not be displayed when typed.

--prompt, -P
    Prompt for the password of the user to login with. Overrides the --pass option.

--acceptdisclaimer
    Auto accept the disclaimer so no user input is needed to accept the disclaimer. This can be used for scripts along with --autofix argument.

--public
    Check the public store for user given with the --userargument.

--host, -h path
    Connect to the Zarafa server through path, e.g. file:///path/to/socket. Default: file:///var/run/zarafa.

--autofix [yes|no]
    Whether the items should immediately be fixed, and not be prompted for.

--autodel [yes|no]
    When the item certainly is broken, and cannot be fixed by the program, it may be deleted.

--checkonly
    You will only receive a report of which items are probably broken. The calendar folder will not be written to.

--help
    Print a help screen of all possible options.

FILTERS

At least one filter is required. A filter defines which kind of items are checked.

--calendar
    All calendar folders in the store will be checked, and only calendar items will be tried to fix if needed.

--contact
    All contact folders in the store will be checked, and only contact items will be tried to fix if needed.

--task
    All task folders in the store will be checked, and only task items will be tried to fix if needed.

--all
    All filters listed above will be checked.

AUTHOR

Written by Zarafa.

SEE ALSO

 zarafa(1)